Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network35.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
35.0.0.0
Broadcast address
35.255.255.255
First usable
35.0.0.1
Last usable
35.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 23000000 · Integer 587202560 to 603979775
Reverse DNS zone
35.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100011..00000000.00000000.0000000035.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00100011..00000000.00000000.0000000035.0.0.0
Broadcast00100011..11111111.11111111.1111111135.255.255.255
Split into smaller subnets/19

35.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
135.0.0.0/1935.0.0.1 to 35.0.31.25435.0.31.2558,190
235.0.32.0/1935.0.32.1 to 35.0.63.25435.0.63.2558,190
335.0.64.0/1935.0.64.1 to 35.0.95.25435.0.95.2558,190
435.0.96.0/1935.0.96.1 to 35.0.127.25435.0.127.2558,190
535.0.128.0/1935.0.128.1 to 35.0.159.25435.0.159.2558,190
635.0.160.0/1935.0.160.1 to 35.0.191.25435.0.191.2558,190
735.0.192.0/1935.0.192.1 to 35.0.223.25435.0.223.2558,190
835.0.224.0/1935.0.224.1 to 35.0.255.25435.0.255.2558,190
935.1.0.0/1935.1.0.1 to 35.1.31.25435.1.31.2558,190
1035.1.32.0/1935.1.32.1 to 35.1.63.25435.1.63.2558,190
1135.1.64.0/1935.1.64.1 to 35.1.95.25435.1.95.2558,190
1235.1.96.0/1935.1.96.1 to 35.1.127.25435.1.127.2558,190
1335.1.128.0/1935.1.128.1 to 35.1.159.25435.1.159.2558,190
1435.1.160.0/1935.1.160.1 to 35.1.191.25435.1.191.2558,190
1535.1.192.0/1935.1.192.1 to 35.1.223.25435.1.223.2558,190
1635.1.224.0/1935.1.224.1 to 35.1.255.25435.1.255.2558,190
1735.2.0.0/1935.2.0.1 to 35.2.31.25435.2.31.2558,190
1835.2.32.0/1935.2.32.1 to 35.2.63.25435.2.63.2558,190
1935.2.64.0/1935.2.64.1 to 35.2.95.25435.2.95.2558,190
2035.2.96.0/1935.2.96.1 to 35.2.127.25435.2.127.2558,190
2135.2.128.0/1935.2.128.1 to 35.2.159.25435.2.159.2558,190
2235.2.160.0/1935.2.160.1 to 35.2.191.25435.2.191.2558,190
2335.2.192.0/1935.2.192.1 to 35.2.223.25435.2.223.2558,190
2435.2.224.0/1935.2.224.1 to 35.2.255.25435.2.255.2558,190
2535.3.0.0/1935.3.0.1 to 35.3.31.25435.3.31.2558,190
2635.3.32.0/1935.3.32.1 to 35.3.63.25435.3.63.2558,190
2735.3.64.0/1935.3.64.1 to 35.3.95.25435.3.95.2558,190
2835.3.96.0/1935.3.96.1 to 35.3.127.25435.3.127.2558,190
2935.3.128.0/1935.3.128.1 to 35.3.159.25435.3.159.2558,190
3035.3.160.0/1935.3.160.1 to 35.3.191.25435.3.191.2558,190
3135.3.192.0/1935.3.192.1 to 35.3.223.25435.3.223.2558,190
3235.3.224.0/1935.3.224.1 to 35.3.255.25435.3.255.2558,190
3335.4.0.0/1935.4.0.1 to 35.4.31.25435.4.31.2558,190
3435.4.32.0/1935.4.32.1 to 35.4.63.25435.4.63.2558,190
3535.4.64.0/1935.4.64.1 to 35.4.95.25435.4.95.2558,190
3635.4.96.0/1935.4.96.1 to 35.4.127.25435.4.127.2558,190
3735.4.128.0/1935.4.128.1 to 35.4.159.25435.4.159.2558,190
3835.4.160.0/1935.4.160.1 to 35.4.191.25435.4.191.2558,190
3935.4.192.0/1935.4.192.1 to 35.4.223.25435.4.223.2558,190
4035.4.224.0/1935.4.224.1 to 35.4.255.25435.4.255.2558,190
4135.5.0.0/1935.5.0.1 to 35.5.31.25435.5.31.2558,190
4235.5.32.0/1935.5.32.1 to 35.5.63.25435.5.63.2558,190
4335.5.64.0/1935.5.64.1 to 35.5.95.25435.5.95.2558,190
4435.5.96.0/1935.5.96.1 to 35.5.127.25435.5.127.2558,190
4535.5.128.0/1935.5.128.1 to 35.5.159.25435.5.159.2558,190
4635.5.160.0/1935.5.160.1 to 35.5.191.25435.5.191.2558,190
4735.5.192.0/1935.5.192.1 to 35.5.223.25435.5.223.2558,190
4835.5.224.0/1935.5.224.1 to 35.5.255.25435.5.255.2558,190
4935.6.0.0/1935.6.0.1 to 35.6.31.25435.6.31.2558,190
5035.6.32.0/1935.6.32.1 to 35.6.63.25435.6.63.2558,190
5135.6.64.0/1935.6.64.1 to 35.6.95.25435.6.95.2558,190
5235.6.96.0/1935.6.96.1 to 35.6.127.25435.6.127.2558,190
5335.6.128.0/1935.6.128.1 to 35.6.159.25435.6.159.2558,190
5435.6.160.0/1935.6.160.1 to 35.6.191.25435.6.191.2558,190
5535.6.192.0/1935.6.192.1 to 35.6.223.25435.6.223.2558,190
5635.6.224.0/1935.6.224.1 to 35.6.255.25435.6.255.2558,190
5735.7.0.0/1935.7.0.1 to 35.7.31.25435.7.31.2558,190
5835.7.32.0/1935.7.32.1 to 35.7.63.25435.7.63.2558,190
5935.7.64.0/1935.7.64.1 to 35.7.95.25435.7.95.2558,190
6035.7.96.0/1935.7.96.1 to 35.7.127.25435.7.127.2558,190
6135.7.128.0/1935.7.128.1 to 35.7.159.25435.7.159.2558,190
6235.7.160.0/1935.7.160.1 to 35.7.191.25435.7.191.2558,190
6335.7.192.0/1935.7.192.1 to 35.7.223.25435.7.223.2558,190
6435.7.224.0/1935.7.224.1 to 35.7.255.25435.7.255.2558,190
6535.8.0.0/1935.8.0.1 to 35.8.31.25435.8.31.2558,190
6635.8.32.0/1935.8.32.1 to 35.8.63.25435.8.63.2558,190
6735.8.64.0/1935.8.64.1 to 35.8.95.25435.8.95.2558,190
6835.8.96.0/1935.8.96.1 to 35.8.127.25435.8.127.2558,190
6935.8.128.0/1935.8.128.1 to 35.8.159.25435.8.159.2558,190
7035.8.160.0/1935.8.160.1 to 35.8.191.25435.8.191.2558,190
7135.8.192.0/1935.8.192.1 to 35.8.223.25435.8.223.2558,190
7235.8.224.0/1935.8.224.1 to 35.8.255.25435.8.255.2558,190
7335.9.0.0/1935.9.0.1 to 35.9.31.25435.9.31.2558,190
7435.9.32.0/1935.9.32.1 to 35.9.63.25435.9.63.2558,190
7535.9.64.0/1935.9.64.1 to 35.9.95.25435.9.95.2558,190
7635.9.96.0/1935.9.96.1 to 35.9.127.25435.9.127.2558,190
7735.9.128.0/1935.9.128.1 to 35.9.159.25435.9.159.2558,190
7835.9.160.0/1935.9.160.1 to 35.9.191.25435.9.191.2558,190
7935.9.192.0/1935.9.192.1 to 35.9.223.25435.9.223.2558,190
8035.9.224.0/1935.9.224.1 to 35.9.255.25435.9.255.2558,190
8135.10.0.0/1935.10.0.1 to 35.10.31.25435.10.31.2558,190
8235.10.32.0/1935.10.32.1 to 35.10.63.25435.10.63.2558,190
8335.10.64.0/1935.10.64.1 to 35.10.95.25435.10.95.2558,190
8435.10.96.0/1935.10.96.1 to 35.10.127.25435.10.127.2558,190
8535.10.128.0/1935.10.128.1 to 35.10.159.25435.10.159.2558,190
8635.10.160.0/1935.10.160.1 to 35.10.191.25435.10.191.2558,190
8735.10.192.0/1935.10.192.1 to 35.10.223.25435.10.223.2558,190
8835.10.224.0/1935.10.224.1 to 35.10.255.25435.10.255.2558,190
8935.11.0.0/1935.11.0.1 to 35.11.31.25435.11.31.2558,190
9035.11.32.0/1935.11.32.1 to 35.11.63.25435.11.63.2558,190
9135.11.64.0/1935.11.64.1 to 35.11.95.25435.11.95.2558,190
9235.11.96.0/1935.11.96.1 to 35.11.127.25435.11.127.2558,190
9335.11.128.0/1935.11.128.1 to 35.11.159.25435.11.159.2558,190
9435.11.160.0/1935.11.160.1 to 35.11.191.25435.11.191.2558,190
9535.11.192.0/1935.11.192.1 to 35.11.223.25435.11.223.2558,190
9635.11.224.0/1935.11.224.1 to 35.11.255.25435.11.255.2558,190
9735.12.0.0/1935.12.0.1 to 35.12.31.25435.12.31.2558,190
9835.12.32.0/1935.12.32.1 to 35.12.63.25435.12.63.2558,190
9935.12.64.0/1935.12.64.1 to 35.12.95.25435.12.95.2558,190
10035.12.96.0/1935.12.96.1 to 35.12.127.25435.12.127.2558,190
10135.12.128.0/1935.12.128.1 to 35.12.159.25435.12.159.2558,190
10235.12.160.0/1935.12.160.1 to 35.12.191.25435.12.191.2558,190
10335.12.192.0/1935.12.192.1 to 35.12.223.25435.12.223.2558,190
10435.12.224.0/1935.12.224.1 to 35.12.255.25435.12.255.2558,190
10535.13.0.0/1935.13.0.1 to 35.13.31.25435.13.31.2558,190
10635.13.32.0/1935.13.32.1 to 35.13.63.25435.13.63.2558,190
10735.13.64.0/1935.13.64.1 to 35.13.95.25435.13.95.2558,190
10835.13.96.0/1935.13.96.1 to 35.13.127.25435.13.127.2558,190
10935.13.128.0/1935.13.128.1 to 35.13.159.25435.13.159.2558,190
11035.13.160.0/1935.13.160.1 to 35.13.191.25435.13.191.2558,190
11135.13.192.0/1935.13.192.1 to 35.13.223.25435.13.223.2558,190
11235.13.224.0/1935.13.224.1 to 35.13.255.25435.13.255.2558,190
11335.14.0.0/1935.14.0.1 to 35.14.31.25435.14.31.2558,190
11435.14.32.0/1935.14.32.1 to 35.14.63.25435.14.63.2558,190
11535.14.64.0/1935.14.64.1 to 35.14.95.25435.14.95.2558,190
11635.14.96.0/1935.14.96.1 to 35.14.127.25435.14.127.2558,190
11735.14.128.0/1935.14.128.1 to 35.14.159.25435.14.159.2558,190
11835.14.160.0/1935.14.160.1 to 35.14.191.25435.14.191.2558,190
11935.14.192.0/1935.14.192.1 to 35.14.223.25435.14.223.2558,190
12035.14.224.0/1935.14.224.1 to 35.14.255.25435.14.255.2558,190
12135.15.0.0/1935.15.0.1 to 35.15.31.25435.15.31.2558,190
12235.15.32.0/1935.15.32.1 to 35.15.63.25435.15.63.2558,190
12335.15.64.0/1935.15.64.1 to 35.15.95.25435.15.95.2558,190
12435.15.96.0/1935.15.96.1 to 35.15.127.25435.15.127.2558,190
12535.15.128.0/1935.15.128.1 to 35.15.159.25435.15.159.2558,190
12635.15.160.0/1935.15.160.1 to 35.15.191.25435.15.191.2558,190
12735.15.192.0/1935.15.192.1 to 35.15.223.25435.15.223.2558,190
12835.15.224.0/1935.15.224.1 to 35.15.255.25435.15.255.2558,190
12935.16.0.0/1935.16.0.1 to 35.16.31.25435.16.31.2558,190
13035.16.32.0/1935.16.32.1 to 35.16.63.25435.16.63.2558,190
13135.16.64.0/1935.16.64.1 to 35.16.95.25435.16.95.2558,190
13235.16.96.0/1935.16.96.1 to 35.16.127.25435.16.127.2558,190
13335.16.128.0/1935.16.128.1 to 35.16.159.25435.16.159.2558,190
13435.16.160.0/1935.16.160.1 to 35.16.191.25435.16.191.2558,190
13535.16.192.0/1935.16.192.1 to 35.16.223.25435.16.223.2558,190
13635.16.224.0/1935.16.224.1 to 35.16.255.25435.16.255.2558,190
13735.17.0.0/1935.17.0.1 to 35.17.31.25435.17.31.2558,190
13835.17.32.0/1935.17.32.1 to 35.17.63.25435.17.63.2558,190
13935.17.64.0/1935.17.64.1 to 35.17.95.25435.17.95.2558,190
14035.17.96.0/1935.17.96.1 to 35.17.127.25435.17.127.2558,190
14135.17.128.0/1935.17.128.1 to 35.17.159.25435.17.159.2558,190
14235.17.160.0/1935.17.160.1 to 35.17.191.25435.17.191.2558,190
14335.17.192.0/1935.17.192.1 to 35.17.223.25435.17.223.2558,190
14435.17.224.0/1935.17.224.1 to 35.17.255.25435.17.255.2558,190
14535.18.0.0/1935.18.0.1 to 35.18.31.25435.18.31.2558,190
14635.18.32.0/1935.18.32.1 to 35.18.63.25435.18.63.2558,190
14735.18.64.0/1935.18.64.1 to 35.18.95.25435.18.95.2558,190
14835.18.96.0/1935.18.96.1 to 35.18.127.25435.18.127.2558,190
14935.18.128.0/1935.18.128.1 to 35.18.159.25435.18.159.2558,190
15035.18.160.0/1935.18.160.1 to 35.18.191.25435.18.191.2558,190
15135.18.192.0/1935.18.192.1 to 35.18.223.25435.18.223.2558,190
15235.18.224.0/1935.18.224.1 to 35.18.255.25435.18.255.2558,190
15335.19.0.0/1935.19.0.1 to 35.19.31.25435.19.31.2558,190
15435.19.32.0/1935.19.32.1 to 35.19.63.25435.19.63.2558,190
15535.19.64.0/1935.19.64.1 to 35.19.95.25435.19.95.2558,190
15635.19.96.0/1935.19.96.1 to 35.19.127.25435.19.127.2558,190
15735.19.128.0/1935.19.128.1 to 35.19.159.25435.19.159.2558,190
15835.19.160.0/1935.19.160.1 to 35.19.191.25435.19.191.2558,190
15935.19.192.0/1935.19.192.1 to 35.19.223.25435.19.223.2558,190
16035.19.224.0/1935.19.224.1 to 35.19.255.25435.19.255.2558,190
16135.20.0.0/1935.20.0.1 to 35.20.31.25435.20.31.2558,190
16235.20.32.0/1935.20.32.1 to 35.20.63.25435.20.63.2558,190
16335.20.64.0/1935.20.64.1 to 35.20.95.25435.20.95.2558,190
16435.20.96.0/1935.20.96.1 to 35.20.127.25435.20.127.2558,190
16535.20.128.0/1935.20.128.1 to 35.20.159.25435.20.159.2558,190
16635.20.160.0/1935.20.160.1 to 35.20.191.25435.20.191.2558,190
16735.20.192.0/1935.20.192.1 to 35.20.223.25435.20.223.2558,190
16835.20.224.0/1935.20.224.1 to 35.20.255.25435.20.255.2558,190
16935.21.0.0/1935.21.0.1 to 35.21.31.25435.21.31.2558,190
17035.21.32.0/1935.21.32.1 to 35.21.63.25435.21.63.2558,190
17135.21.64.0/1935.21.64.1 to 35.21.95.25435.21.95.2558,190
17235.21.96.0/1935.21.96.1 to 35.21.127.25435.21.127.2558,190
17335.21.128.0/1935.21.128.1 to 35.21.159.25435.21.159.2558,190
17435.21.160.0/1935.21.160.1 to 35.21.191.25435.21.191.2558,190
17535.21.192.0/1935.21.192.1 to 35.21.223.25435.21.223.2558,190
17635.21.224.0/1935.21.224.1 to 35.21.255.25435.21.255.2558,190
17735.22.0.0/1935.22.0.1 to 35.22.31.25435.22.31.2558,190
17835.22.32.0/1935.22.32.1 to 35.22.63.25435.22.63.2558,190
17935.22.64.0/1935.22.64.1 to 35.22.95.25435.22.95.2558,190
18035.22.96.0/1935.22.96.1 to 35.22.127.25435.22.127.2558,190
18135.22.128.0/1935.22.128.1 to 35.22.159.25435.22.159.2558,190
18235.22.160.0/1935.22.160.1 to 35.22.191.25435.22.191.2558,190
18335.22.192.0/1935.22.192.1 to 35.22.223.25435.22.223.2558,190
18435.22.224.0/1935.22.224.1 to 35.22.255.25435.22.255.2558,190
18535.23.0.0/1935.23.0.1 to 35.23.31.25435.23.31.2558,190
18635.23.32.0/1935.23.32.1 to 35.23.63.25435.23.63.2558,190
18735.23.64.0/1935.23.64.1 to 35.23.95.25435.23.95.2558,190
18835.23.96.0/1935.23.96.1 to 35.23.127.25435.23.127.2558,190
18935.23.128.0/1935.23.128.1 to 35.23.159.25435.23.159.2558,190
19035.23.160.0/1935.23.160.1 to 35.23.191.25435.23.191.2558,190
19135.23.192.0/1935.23.192.1 to 35.23.223.25435.23.223.2558,190
19235.23.224.0/1935.23.224.1 to 35.23.255.25435.23.255.2558,190
19335.24.0.0/1935.24.0.1 to 35.24.31.25435.24.31.2558,190
19435.24.32.0/1935.24.32.1 to 35.24.63.25435.24.63.2558,190
19535.24.64.0/1935.24.64.1 to 35.24.95.25435.24.95.2558,190
19635.24.96.0/1935.24.96.1 to 35.24.127.25435.24.127.2558,190
19735.24.128.0/1935.24.128.1 to 35.24.159.25435.24.159.2558,190
19835.24.160.0/1935.24.160.1 to 35.24.191.25435.24.191.2558,190
19935.24.192.0/1935.24.192.1 to 35.24.223.25435.24.223.2558,190
20035.24.224.0/1935.24.224.1 to 35.24.255.25435.24.255.2558,190
20135.25.0.0/1935.25.0.1 to 35.25.31.25435.25.31.2558,190
20235.25.32.0/1935.25.32.1 to 35.25.63.25435.25.63.2558,190
20335.25.64.0/1935.25.64.1 to 35.25.95.25435.25.95.2558,190
20435.25.96.0/1935.25.96.1 to 35.25.127.25435.25.127.2558,190
20535.25.128.0/1935.25.128.1 to 35.25.159.25435.25.159.2558,190
20635.25.160.0/1935.25.160.1 to 35.25.191.25435.25.191.2558,190
20735.25.192.0/1935.25.192.1 to 35.25.223.25435.25.223.2558,190
20835.25.224.0/1935.25.224.1 to 35.25.255.25435.25.255.2558,190
20935.26.0.0/1935.26.0.1 to 35.26.31.25435.26.31.2558,190
21035.26.32.0/1935.26.32.1 to 35.26.63.25435.26.63.2558,190
21135.26.64.0/1935.26.64.1 to 35.26.95.25435.26.95.2558,190
21235.26.96.0/1935.26.96.1 to 35.26.127.25435.26.127.2558,190
21335.26.128.0/1935.26.128.1 to 35.26.159.25435.26.159.2558,190
21435.26.160.0/1935.26.160.1 to 35.26.191.25435.26.191.2558,190
21535.26.192.0/1935.26.192.1 to 35.26.223.25435.26.223.2558,190
21635.26.224.0/1935.26.224.1 to 35.26.255.25435.26.255.2558,190
21735.27.0.0/1935.27.0.1 to 35.27.31.25435.27.31.2558,190
21835.27.32.0/1935.27.32.1 to 35.27.63.25435.27.63.2558,190
21935.27.64.0/1935.27.64.1 to 35.27.95.25435.27.95.2558,190
22035.27.96.0/1935.27.96.1 to 35.27.127.25435.27.127.2558,190
22135.27.128.0/1935.27.128.1 to 35.27.159.25435.27.159.2558,190
22235.27.160.0/1935.27.160.1 to 35.27.191.25435.27.191.2558,190
22335.27.192.0/1935.27.192.1 to 35.27.223.25435.27.223.2558,190
22435.27.224.0/1935.27.224.1 to 35.27.255.25435.27.255.2558,190
22535.28.0.0/1935.28.0.1 to 35.28.31.25435.28.31.2558,190
22635.28.32.0/1935.28.32.1 to 35.28.63.25435.28.63.2558,190
22735.28.64.0/1935.28.64.1 to 35.28.95.25435.28.95.2558,190
22835.28.96.0/1935.28.96.1 to 35.28.127.25435.28.127.2558,190
22935.28.128.0/1935.28.128.1 to 35.28.159.25435.28.159.2558,190
23035.28.160.0/1935.28.160.1 to 35.28.191.25435.28.191.2558,190
23135.28.192.0/1935.28.192.1 to 35.28.223.25435.28.223.2558,190
23235.28.224.0/1935.28.224.1 to 35.28.255.25435.28.255.2558,190
23335.29.0.0/1935.29.0.1 to 35.29.31.25435.29.31.2558,190
23435.29.32.0/1935.29.32.1 to 35.29.63.25435.29.63.2558,190
23535.29.64.0/1935.29.64.1 to 35.29.95.25435.29.95.2558,190
23635.29.96.0/1935.29.96.1 to 35.29.127.25435.29.127.2558,190
23735.29.128.0/1935.29.128.1 to 35.29.159.25435.29.159.2558,190
23835.29.160.0/1935.29.160.1 to 35.29.191.25435.29.191.2558,190
23935.29.192.0/1935.29.192.1 to 35.29.223.25435.29.223.2558,190
24035.29.224.0/1935.29.224.1 to 35.29.255.25435.29.255.2558,190
24135.30.0.0/1935.30.0.1 to 35.30.31.25435.30.31.2558,190
24235.30.32.0/1935.30.32.1 to 35.30.63.25435.30.63.2558,190
24335.30.64.0/1935.30.64.1 to 35.30.95.25435.30.95.2558,190
24435.30.96.0/1935.30.96.1 to 35.30.127.25435.30.127.2558,190
24535.30.128.0/1935.30.128.1 to 35.30.159.25435.30.159.2558,190
24635.30.160.0/1935.30.160.1 to 35.30.191.25435.30.191.2558,190
24735.30.192.0/1935.30.192.1 to 35.30.223.25435.30.223.2558,190
24835.30.224.0/1935.30.224.1 to 35.30.255.25435.30.255.2558,190
24935.31.0.0/1935.31.0.1 to 35.31.31.25435.31.31.2558,190
25035.31.32.0/1935.31.32.1 to 35.31.63.25435.31.63.2558,190
25135.31.64.0/1935.31.64.1 to 35.31.95.25435.31.95.2558,190
25235.31.96.0/1935.31.96.1 to 35.31.127.25435.31.127.2558,190
25335.31.128.0/1935.31.128.1 to 35.31.159.25435.31.159.2558,190
25435.31.160.0/1935.31.160.1 to 35.31.191.25435.31.191.2558,190
25535.31.192.0/1935.31.192.1 to 35.31.223.25435.31.223.2558,190
25635.31.224.0/1935.31.224.1 to 35.31.255.25435.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses